Skip to main content
POST
/
public
/
v1
/
prior-authorizations
/
sync
Create Completed Prior Authorization
curl --request POST \
  --url https://app.silnahealth.com/api/public/v1/prior-authorizations/sync \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "reference_number": "<string>",
  "approved_start_date": "2023-12-25",
  "approved_end_date": "2023-12-25",
  "patient_plan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "approved_treatment_codes": [
    {
      "treatment_codes": [
        {
          "code": "<string>",
          "treatment_code_modifiers": [
            {
              "code": "<string>"
            }
          ]
        }
      ],
      "units": "2.5",
      "time_frame": "TOTAL",
      "reference_number": null
    }
  ],
  "approval_letter_file_ids": null
}
'
import requests

url = "https://app.silnahealth.com/api/public/v1/prior-authorizations/sync"

payload = {
"reference_number": "<string>",
"approved_start_date": "2023-12-25",
"approved_end_date": "2023-12-25",
"patient_plan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"approved_treatment_codes": [
{
"treatment_codes": [
{
"code": "<string>",
"treatment_code_modifiers": [{ "code": "<string>" }]
}
],
"units": "2.5",
"time_frame": "TOTAL",
"reference_number": None
}
],
"approval_letter_file_ids": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
reference_number: '<string>',
approved_start_date: '2023-12-25',
approved_end_date: '2023-12-25',
patient_plan_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
approved_treatment_codes: [
{
treatment_codes: [{code: '<string>', treatment_code_modifiers: [{code: '<string>'}]}],
units: '2.5',
time_frame: 'TOTAL',
reference_number: null
}
],
approval_letter_file_ids: null
})
};

fetch('https://app.silnahealth.com/api/public/v1/prior-authorizations/sync', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
{
"message": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
reference_number
string
required

Authorization reference number

approved_start_date
string<date>
required

Approved start date

approved_end_date
string<date>
required

Approved end date

patient_plan_id
string<uuid>
required

Patient Plan ID

specialty
enum<string>
required

Specialty for the prior authorization

Available options:
PHYSICAL_THERAPY,
ABA_THERAPY,
SPEECH_THERAPY,
OCCUPATIONAL_THERAPY,
PSYCHOLOGICAL_TESTING,
HOME_HEALTH_CARE,
HOSPICE,
CARDIAC_REHABILITATION,
INTENSIVE_CARDIAC_REHABILITATION,
MENTAL_HEALTH,
PRINCIPAL_ILLNESS_NAVIGATION,
PRINCIPAL_CARE_MANAGEMENT,
ADVANCED_PRIMARY_CARE_MODELS,
PREVENTATIVE_HEALTH,
PARTIAL_HOSPITALIZATION_PROGRAM,
INTENSIVE_OUTPATIENT_PROGRAM,
INTERVENTIONAL_RADIOLOGY,
VASCULAR_SURGERY,
INTERVENTIONAL_CARDIOLOGY,
ORTHOPEDICS,
CHIROPRACTIC,
GYNECOLOGY,
LONG_TERM_CARE,
NUTRITIONAL_COUNSELING,
PHYSICAL_MEDICINE,
PULMONARY_REHABILITATION,
INJECTABLE_SPECIALTY_MEDICATIONS,
ALLERGY_TESTING,
SKILLED_NURSING,
RADIOLOGY,
OTOLARYNGOLOGY,
DURABLE_MEDICAL_EQUIPMENT,
DERMATOLOGY,
PROFESSIONAL_OFFICE_VISIT
authorization_type
enum<string>
required

Type of authorization. Note: The following specialties are constrained to specific authorization types: Psychological Testing: Assessment authorization, Amendment

Available options:
ASSESSMENT_AUTHORIZATION,
INITIAL_AUTHORIZATION,
CONCURRENT_AUTHORIZATION,
AMENDMENT
approved_treatment_codes
V1RecordApprovedTreatmentCodeCreate · object[]

List of approved treatment codes

approval_letter_file_ids
string<uuid>[] | null

List of approval letter file IDs to trigger OCR. Mutually exclusive with manual approval details.

Response

id
string<uuid>
required

ID of the prior authorization